Next Previous Contents

## 3.209 vcprintf

> Function

>   Formatted output to the console.

> Header

>   `conio.h`

> Declaration

>   `int __fastcall__ vcprintf (const char* format, va_list ap);`

> Description

>   The arguments specified as a `va_list` are converted to text where necessary and formatted according to the format string given. The resulting string is output to the console. `vcprintf` supports the same format specifiers as `vprintf`.

> Limits

>   - Like all other `conio` output functions, `vcprintf` distinguishes between `\r` and `\n`.
>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
> Availability

>   cc65

> See also

>   cprintf, cputc, cputcxy, cputs, cputsxy

> Example

>   None.

Next Previous Contents